commit:     622bef71b555568ba295acdf6247efb1cdde643e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 26 00:47:42 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Apr 26 00:47:42 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=622bef71

kde-plasma/plasma-meta: Drop USE consolekit

USE consolekit is gone from desktop profile make.defaults and neither can we
recommend it any longer. Its use is not prohibited from plasma-meta, but all
checks for USE-dep alignment in dependencies are gone and users are on their
own to set it (globally) correctly. Greatly simplifies pkg_postinst.

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/plasma-meta/metadata.xml                |  1 -
 .../plasma-meta/plasma-meta-5.18.4.1-r1.ebuild     | 37 ++++++++--------------
 .../plasma-meta/plasma-meta-5.18.49.9999.ebuild    | 37 ++++++++--------------
 kde-plasma/plasma-meta/plasma-meta-9999.ebuild     | 37 ++++++++--------------
 4 files changed, 39 insertions(+), 73 deletions(-)

diff --git a/kde-plasma/plasma-meta/metadata.xml 
b/kde-plasma/plasma-meta/metadata.xml
index e3ad14b3e9..8f7c40562a 100644
--- a/kde-plasma/plasma-meta/metadata.xml
+++ b/kde-plasma/plasma-meta/metadata.xml
@@ -7,7 +7,6 @@
        </maintainer>
        <use>
                <flag name="browser-integration">Enable integration with 
Chrome/Firefox with browser extensions</flag>
-               <flag name="consolekit">Enable <pkg>sys-auth/consolekit</pkg> 
support instead of logind session tracking</flag>
                <flag name="crypt">Pull in <pkg>kde-plasma/plasma-vault</pkg> 
for encrypted vaults integration</flag>
                <flag name="desktop-portal">Enable 
<pkg>sys-apps/xdg-desktop-portal</pkg> backend implementation for Plasma</flag>
                <flag name="discover">Pull in resources management GUI; a 
centralised GHNS alternative and optional <pkg>sys-apps/fwupd</pkg> 
frontend</flag>

diff --git a/kde-plasma/plasma-meta/plasma-meta-5.18.4.1-r1.ebuild 
b/kde-plasma/plasma-meta/plasma-meta-5.18.4.1-r1.ebuild
index 440bc316ff..24fe51c28f 100644
--- a/kde-plasma/plasma-meta/plasma-meta-5.18.4.1-r1.ebuild
+++ b/kde-plasma/plasma-meta/plasma-meta-5.18.4.1-r1.ebuild
@@ -9,11 +9,11 @@ HOMEPAGE="https://kde.org/plasma-desktop";
 LICENSE="metapackage"
 SLOT="5"
 KEYWORDS="~amd64"
-IUSE="bluetooth +browser-integration consolekit crypt +desktop-portal discover
+IUSE="bluetooth +browser-integration crypt +desktop-portal discover
 +display-manager elogind grub gtk +handbook kwinft +legacy-systray 
networkmanager
 pam plymouth pulseaudio qrcode +sddm sdk systemd thunderbolt +wallpapers"
 
-REQUIRED_USE="?? ( consolekit elogind systemd )"
+REQUIRED_USE="?? ( elogind systemd )"
 
 RDEPEND="
        >=kde-plasma/breeze-${PV}:${SLOT}
@@ -50,14 +50,13 @@ RDEPEND="
        sys-fs/udisks:2[elogind?,systemd?]
        bluetooth? ( >=kde-plasma/bluedevil-${PV}:${SLOT} )
        browser-integration? ( 
>=kde-plasma/plasma-browser-integration-${PV}:${SLOT} )
-       consolekit? ( >=sys-auth/consolekit-1.0.1 )
        crypt? ( >=kde-plasma/plasma-vault-${PV}:${SLOT} )
        desktop-portal? ( >=kde-plasma/xdg-desktop-portal-kde-${PV}:${SLOT} )
        discover? ( >=kde-plasma/discover-${PV}:${SLOT} )
        display-manager? (
                sddm? (
                        >=kde-plasma/sddm-kcm-${PV}:${SLOT}
-                       x11-misc/sddm[consolekit?,elogind?,systemd?]
+                       x11-misc/sddm[elogind?,systemd?]
                )
                !sddm? ( x11-misc/lightdm )
        )
@@ -70,12 +69,12 @@ RDEPEND="
        legacy-systray? ( >=kde-plasma/xembed-sni-proxy-${PV}:${SLOT} )
        networkmanager? (
                >=kde-plasma/plasma-nm-${PV}:${SLOT}
-               net-misc/networkmanager[consolekit?,elogind?,systemd?]
+               net-misc/networkmanager[elogind?,systemd?]
                qrcode? ( kde-frameworks/prison[qml] )
        )
        pam? (
                >=kde-plasma/kwallet-pam-${PV}:${SLOT}
-               sys-auth/pambase[consolekit?,elogind?,systemd?]
+               sys-auth/pambase[elogind?,systemd?]
        )
        plymouth? (
                >=kde-plasma/breeze-plymouth-${PV}:${SLOT}
@@ -88,22 +87,12 @@ RDEPEND="
 "
 
 pkg_postinst() {
-       local i selected use_pkg_map=(
-               consolekit:sys-auth/consolekit
-               elogind:sys-auth/elogind
-               systemd:sys-apps/systemd
-       )
-       for i in ${use_pkg_map[@]}; do
-               use ${i%:*} && selected="${i%:*}"
-       done
-       for i in ${use_pkg_map[@]}; do
-               if ! use ${i%:*} && has_version ${i#*:}; then
-                       ewarn "An existing installation of ${i#*:} was detected 
even though"
-                       ewarn "${PN} was configured with USE ${selected} 
instead of ${i%:*}."
-                       ewarn "There can only be one session manager at 
runtime, otherwise random issues"
-                       ewarn "may occur. Please make sure USE ${i%:*} is 
nowhere enabled in make.conf"
-                       ewarn "or package.use and remove ${i#*:} before raising 
bugs."
-                       ewarn "For more information, visit 
https://wiki.gentoo.org/wiki/KDE";
-               fi
-       done
+       has_version sys-auth/consolekit || return
+       use elogind || use systemd && return
+       ewarn "An existing installation of sys-auth/consolekit was detected 
even though"
+       ewarn "${PN} was configured with USE $(usex elogind elogind systemd)."
+       ewarn "There can only be one session manager at runtime, otherwise 
random issues"
+       ewarn "may occur. Please make sure USE consolekit is nowhere enabled in 
make.conf"
+       ewarn "or package.use and remove sys-auth/consolekit before raising 
bugs."
+       ewarn "For more information, visit https://wiki.gentoo.org/wiki/KDE";
 }

diff --git a/kde-plasma/plasma-meta/plasma-meta-5.18.49.9999.ebuild 
b/kde-plasma/plasma-meta/plasma-meta-5.18.49.9999.ebuild
index 5cb896a062..a62ab60c5b 100644
--- a/kde-plasma/plasma-meta/plasma-meta-5.18.49.9999.ebuild
+++ b/kde-plasma/plasma-meta/plasma-meta-5.18.49.9999.ebuild
@@ -9,11 +9,11 @@ HOMEPAGE="https://kde.org/plasma-desktop";
 LICENSE="metapackage"
 SLOT="5"
 KEYWORDS=""
-IUSE="bluetooth +browser-integration consolekit crypt +desktop-portal discover
+IUSE="bluetooth +browser-integration crypt +desktop-portal discover
 +display-manager elogind grub gtk +handbook kwinft +legacy-systray 
networkmanager
 pam plymouth pulseaudio qrcode +sddm sdk systemd thunderbolt +wallpapers"
 
-REQUIRED_USE="?? ( consolekit elogind systemd )"
+REQUIRED_USE="?? ( elogind systemd )"
 
 RDEPEND="
        >=kde-plasma/breeze-${PV}:${SLOT}
@@ -50,14 +50,13 @@ RDEPEND="
        sys-fs/udisks:2[elogind?,systemd?]
        bluetooth? ( >=kde-plasma/bluedevil-${PV}:${SLOT} )
        browser-integration? ( 
>=kde-plasma/plasma-browser-integration-${PV}:${SLOT} )
-       consolekit? ( >=sys-auth/consolekit-1.0.1 )
        crypt? ( >=kde-plasma/plasma-vault-${PV}:${SLOT} )
        desktop-portal? ( >=kde-plasma/xdg-desktop-portal-kde-${PV}:${SLOT} )
        discover? ( >=kde-plasma/discover-${PV}:${SLOT} )
        display-manager? (
                sddm? (
                        >=kde-plasma/sddm-kcm-${PV}:${SLOT}
-                       x11-misc/sddm[consolekit?,elogind?,systemd?]
+                       x11-misc/sddm[elogind?,systemd?]
                )
                !sddm? ( x11-misc/lightdm )
        )
@@ -70,12 +69,12 @@ RDEPEND="
        legacy-systray? ( >=kde-plasma/xembed-sni-proxy-${PV}:${SLOT} )
        networkmanager? (
                >=kde-plasma/plasma-nm-${PV}:${SLOT}
-               net-misc/networkmanager[consolekit?,elogind?,systemd?]
+               net-misc/networkmanager[elogind?,systemd?]
                qrcode? ( kde-frameworks/prison[qml] )
        )
        pam? (
                >=kde-plasma/kwallet-pam-${PV}:${SLOT}
-               sys-auth/pambase[consolekit?,elogind?,systemd?]
+               sys-auth/pambase[elogind?,systemd?]
        )
        plymouth? (
                >=kde-plasma/breeze-plymouth-${PV}:${SLOT}
@@ -88,22 +87,12 @@ RDEPEND="
 "
 
 pkg_postinst() {
-       local i selected use_pkg_map=(
-               consolekit:sys-auth/consolekit
-               elogind:sys-auth/elogind
-               systemd:sys-apps/systemd
-       )
-       for i in ${use_pkg_map[@]}; do
-               use ${i%:*} && selected="${i%:*}"
-       done
-       for i in ${use_pkg_map[@]}; do
-               if ! use ${i%:*} && has_version ${i#*:}; then
-                       ewarn "An existing installation of ${i#*:} was detected 
even though"
-                       ewarn "${PN} was configured with USE ${selected} 
instead of ${i%:*}."
-                       ewarn "There can only be one session manager at 
runtime, otherwise random issues"
-                       ewarn "may occur. Please make sure USE ${i%:*} is 
nowhere enabled in make.conf"
-                       ewarn "or package.use and remove ${i#*:} before raising 
bugs."
-                       ewarn "For more information, visit 
https://wiki.gentoo.org/wiki/KDE";
-               fi
-       done
+       has_version sys-auth/consolekit || return
+       use elogind || use systemd && return
+       ewarn "An existing installation of sys-auth/consolekit was detected 
even though"
+       ewarn "${PN} was configured with USE $(usex elogind elogind systemd)."
+       ewarn "There can only be one session manager at runtime, otherwise 
random issues"
+       ewarn "may occur. Please make sure USE consolekit is nowhere enabled in 
make.conf"
+       ewarn "or package.use and remove sys-auth/consolekit before raising 
bugs."
+       ewarn "For more information, visit https://wiki.gentoo.org/wiki/KDE";
 }

diff --git a/kde-plasma/plasma-meta/plasma-meta-9999.ebuild 
b/kde-plasma/plasma-meta/plasma-meta-9999.ebuild
index 5cb896a062..a62ab60c5b 100644
--- a/kde-plasma/plasma-meta/plasma-meta-9999.ebuild
+++ b/kde-plasma/plasma-meta/plasma-meta-9999.ebuild
@@ -9,11 +9,11 @@ HOMEPAGE="https://kde.org/plasma-desktop";
 LICENSE="metapackage"
 SLOT="5"
 KEYWORDS=""
-IUSE="bluetooth +browser-integration consolekit crypt +desktop-portal discover
+IUSE="bluetooth +browser-integration crypt +desktop-portal discover
 +display-manager elogind grub gtk +handbook kwinft +legacy-systray 
networkmanager
 pam plymouth pulseaudio qrcode +sddm sdk systemd thunderbolt +wallpapers"
 
-REQUIRED_USE="?? ( consolekit elogind systemd )"
+REQUIRED_USE="?? ( elogind systemd )"
 
 RDEPEND="
        >=kde-plasma/breeze-${PV}:${SLOT}
@@ -50,14 +50,13 @@ RDEPEND="
        sys-fs/udisks:2[elogind?,systemd?]
        bluetooth? ( >=kde-plasma/bluedevil-${PV}:${SLOT} )
        browser-integration? ( 
>=kde-plasma/plasma-browser-integration-${PV}:${SLOT} )
-       consolekit? ( >=sys-auth/consolekit-1.0.1 )
        crypt? ( >=kde-plasma/plasma-vault-${PV}:${SLOT} )
        desktop-portal? ( >=kde-plasma/xdg-desktop-portal-kde-${PV}:${SLOT} )
        discover? ( >=kde-plasma/discover-${PV}:${SLOT} )
        display-manager? (
                sddm? (
                        >=kde-plasma/sddm-kcm-${PV}:${SLOT}
-                       x11-misc/sddm[consolekit?,elogind?,systemd?]
+                       x11-misc/sddm[elogind?,systemd?]
                )
                !sddm? ( x11-misc/lightdm )
        )
@@ -70,12 +69,12 @@ RDEPEND="
        legacy-systray? ( >=kde-plasma/xembed-sni-proxy-${PV}:${SLOT} )
        networkmanager? (
                >=kde-plasma/plasma-nm-${PV}:${SLOT}
-               net-misc/networkmanager[consolekit?,elogind?,systemd?]
+               net-misc/networkmanager[elogind?,systemd?]
                qrcode? ( kde-frameworks/prison[qml] )
        )
        pam? (
                >=kde-plasma/kwallet-pam-${PV}:${SLOT}
-               sys-auth/pambase[consolekit?,elogind?,systemd?]
+               sys-auth/pambase[elogind?,systemd?]
        )
        plymouth? (
                >=kde-plasma/breeze-plymouth-${PV}:${SLOT}
@@ -88,22 +87,12 @@ RDEPEND="
 "
 
 pkg_postinst() {
-       local i selected use_pkg_map=(
-               consolekit:sys-auth/consolekit
-               elogind:sys-auth/elogind
-               systemd:sys-apps/systemd
-       )
-       for i in ${use_pkg_map[@]}; do
-               use ${i%:*} && selected="${i%:*}"
-       done
-       for i in ${use_pkg_map[@]}; do
-               if ! use ${i%:*} && has_version ${i#*:}; then
-                       ewarn "An existing installation of ${i#*:} was detected 
even though"
-                       ewarn "${PN} was configured with USE ${selected} 
instead of ${i%:*}."
-                       ewarn "There can only be one session manager at 
runtime, otherwise random issues"
-                       ewarn "may occur. Please make sure USE ${i%:*} is 
nowhere enabled in make.conf"
-                       ewarn "or package.use and remove ${i#*:} before raising 
bugs."
-                       ewarn "For more information, visit 
https://wiki.gentoo.org/wiki/KDE";
-               fi
-       done
+       has_version sys-auth/consolekit || return
+       use elogind || use systemd && return
+       ewarn "An existing installation of sys-auth/consolekit was detected 
even though"
+       ewarn "${PN} was configured with USE $(usex elogind elogind systemd)."
+       ewarn "There can only be one session manager at runtime, otherwise 
random issues"
+       ewarn "may occur. Please make sure USE consolekit is nowhere enabled in 
make.conf"
+       ewarn "or package.use and remove sys-auth/consolekit before raising 
bugs."
+       ewarn "For more information, visit https://wiki.gentoo.org/wiki/KDE";
 }

Reply via email to